Unassign group members
DELETE
/{organization}/projects/{projectId}/groups/{groupId}/members
const url = 'https://app.civillo.com/api/v1/example/projects/1/groups/example/members';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"memberIds":["73ad7720-b708-4246-86ac-cb15dd9fe3c0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.civillo.com/api/v1/example/projects/1/groups/example/members \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "memberIds": [ "73ad7720-b708-4246-86ac-cb15dd9fe3c0" ] }'Remove user associations from this group. This action will remove users provided in the request body, ignoring users that are already associated or do not exist.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
projectId
required
integer
The project id
groupId
required
string
The group id
Request Body
Section titled “Request Body”The user UUIDs to be unassociated with the group
Media typeapplication/json
object
memberIds
Array<string>
Example
{ "memberIds": [ "73ad7720-b708-4246-86ac-cb15dd9fe3c0" ]}Responses
Section titled “ Responses ”Successful response
Bad Request
Unauthorized
Forbidden